# $Revision: 1.39.2.2 $, $Date: 2007/02/17 20:45:07 $
#
# TODO: dotnet-loudmouth-sharp
#
# Conditional build:
%bcond_without	ssl	# without SSL support
#
%define		snap	20031128
Summary:	Loudmouth - a Jabber library written in C
Summary(pl):	Loudmouth - biblioteka do obsugi protokou Jabber napisana w C
Name:		loudmouth
Version:	1.0.4
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/loudmouth/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	6a1e592418686ff4ead975e6d28a4beb
Patch0:		%{name}-nolibs.patch
URL:		http://loudmouth.imendio.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.4.0
%{?with_ssl:BuildRequires:	gnutls-devel >= 1.2.5}
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.

%description -l pl
Loudmouth jest lekk i atw w obsudze bibliotek napisan w jzyku
C. Suy do obsugi protokou Jabber. Zostaa zaprojektowana z
naciskiem na prostot obsugi, pozwala uywa wszystkich moliwoci
protokou Jabber.

%package devel
Summary:	Header files and development documentation for Loudmouth library
Summary(pl):	Pliki nagwkowe Loudmouth, dokumentacja dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.4.0
Requires:	gtk-doc-common
%{?with_ssl:Requires:	gnutls-devel >= 1.0.6}

%description devel
This package provides the necessary header files to allow you to
develop with Loudmouth.

%description devel -l pl
Pakiet zawiera pliki nagwkowe potrzebne do tworzenia oprogramowania
z wykorzystaniem Loudmouth.

%package static
Summary:	Static libraries for developing with Loudmouth
Summary(pl):	Statyczne biblioteki Loudmouth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of Loudmouth libraries.

%description static -l pl
Statyczna wersja bibliotek Loudmouth.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_ssl:--without-ssl} \
	--enable-gtk-doc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libloudmouth*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_pkgconfigdir}/*
%{_includedir}/loudmouth-1.0
%{_gtkdocdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: loudmouth.spec,v $
Revision 1.39.2.2  2007/02/17 20:45:07  qboosh
- release 2 (new gnutls)

Revision 1.39.2.1  2006/07/02 16:59:20  freetz
- 1.0.4

Revision 1.39  2005/08/16 10:07:27  freetz
- 1.0.1

Revision 1.38  2005/08/14 15:34:38  freetz
- 1.0

Revision 1.37  2005/07/11 16:42:21  arekm
BR gnutls >= 1.2.5

Revision 1.36  2005/06/06 21:22:05  zbyniu
- BR: pkgconfig

Revision 1.35  2005/05/11 20:04:20  freetz
- 0.90, removed obsolete gnutls patch

Revision 1.34  2004/11/01 20:48:28  grzegol
- updated to 0.17.2
- removed outdated types patch

Revision 1.33  2004/08/30 21:36:56  grzegol
- updated to 0.17.1
- removed outdated keepalive patch

Revision 1.32  2004/08/29 10:47:54  krzak
- added keepalive.patch fix keepalive feature.
- rel. 2

Revision 1.31  2004/08/27 09:35:44  qboosh
- added glib2 epoch

Revision 1.30  2004/08/27 07:28:47  krzak
- Requires:       glib2-devel >= 2.4.0

Revision 1.29  2004/08/27 06:05:28  aredridel
- up to 0.17

Revision 1.28  2004/06/22 16:04:24  malekith
- release 4
- add patch with  functions needed to login into server diffrent then the @-part
  of the jid (like jabber.pld-linux.org)

Revision 1.27  2004/04/19 20:39:03  qboosh
- release 3 to rebuild with gnutls 1.0.11

Revision 1.26  2004/04/08 09:13:28  wrobell
- rel. 2

Revision 1.25  2004/03/18 06:12:48  aflinta
- up to version 0.16

Revision 1.24  2004/03/16 15:56:27  wrobell
- rel. 3 to rebuild with new openldap on nest builders

Revision 1.23  2004/02/22 15:17:02  grzegol
- added gnutls patch (fixes build with gnutls-1.0.6)
- rel. 2 to rebuild with libgcrypt-1.1.92

Revision 1.22  2004/01/25 23:08:23  undefine
- release 1 to rebuild with AC (new libtls)

Revision 1.21  2004/01/23 11:45:20  wrobell
- ver. 0.15.1

Revision 1.20  2003/12/08 14:18:05  grzegol
- rel. 0.%%{snap}.2 to rebuild with gnutls-1.0.0

Revision 1.19  2003/11/28 21:17:59  freetz
- 20031128 snap
- changed to name-version-snap source schema

Revision 1.18  2003/11/22 14:54:06  qboosh
- added types and nolibs patches
- fixed config.h.in creation (autoheader, not touch) - now gnutls is used
- release .4

Revision 1.17  2003/11/22 13:56:56  krzak
- rel 3

Revision 1.16  2003/11/06 22:37:33  aredridel
- inc rel to 0..2
- rebuild with new gnutls

Revision 1.15  2003/10/19 19:32:46  aredridel
- up to cvs 20031019

Revision 1.14  2003/10/13 14:38:31  freetz
- up to 0.14.1

Revision 1.13  2003/10/06 19:20:09  krzak
- devel package need gnutls-devel if build with ssl.
- rel 2

Revision 1.12  2003/10/03 17:49:25  freetz
- up to 0.14 (now with ipv6 support)

Revision 1.11  2003/08/15 14:06:11  aredridel
- added bcond for SSL

Revision 1.10  2003/08/15 12:34:27  aflinta
- version 0.13.2

Revision 1.9  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.8  2003/08/05 18:30:05  aflinta
- version 0.13.1

Revision 1.7  2003/07/17 22:49:56  freetz
- updated to 0.12

Revision 1.6  2003/07/14 09:49:27  freetz
- up to version 0.11

Revision 1.5  2003/07/08 09:09:55  freetz
- updated to 0.10.1 version

Revision 1.4  2003/06/29 15:12:26  freetz
- up to version 0.10

Revision 1.3  2003/06/28 14:55:23  qboosh
- typo, cosmetics, removed autogenerated symlink from files

Revision 1.2  2003/06/20 13:57:16  freetz
- added static package
- fixed file list, sorted BRs
- added Source0 md5
- descriptions cleanups and typos

Revision 1.1  2003/06/19 13:29:44  krzak
- initial release

* Sat Mar 29 2003 Mikael Hallendal <micke@codefactory.se>
- Initial build
